Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76693 - Obsolete and badly documented library of scheme code
Summary: Obsolete and badly documented library of scheme code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: umb-scheme
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-24 23:33 UTC by Michal Jaegermann
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-24 23:34:04 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2002-10-24 23:33:57 UTC
Description of Problem:

An underlying 'slib' library is somewhat obsolete, it is missing
various fixes and additions, and the same library is actually used
also at least by guile.  The current version can be had from

http://swissnet.ai.mit.edu/~jaffer/SLIB.html

and other places. It is even available in rpm packaging.

I would be likely better to split slib into a separate package.  Then
at least it could have a proper documentation without which at least
part of it are quite difficult to use.  It is true that there exist
currently files /usr/share/umb-scheme/slib/slib.{info,texi} but they
do not show up after 'rpm -qd umb-scheme' and do not reside in expected
places so most users will likely miss their presence.  This is another
packaging bug.

Comment 1 Phil Knirsch 2002-11-29 15:17:47 UTC
I've updated the slib package to the latest version. I'll think about packaging
it separately, but it doesn't make a lot of sense, because slib alone without
umb-scheme doesn't really make a lot of sense, does it? :-)

But i might build the documentation in it and put that somewhere sane so that it
can be actually used. Will do that sometime later...

Read ya, Phil

Comment 2 Michal Jaegermann 2002-11-29 17:31:53 UTC
> but it doesn't make a lot of sense, because slib alone without
> umb-scheme doesn't really make a lot of sense, does it? :-)

Yes, actually it does.  It is not unthinkable to have only guile installed
and not umb-scheme and guile needs slib as well.  Look into /usr/share/guile/.
Right now you have "a false dependency" of guile on umb-scheme.  Interestingly
enough even while these links are present 'guile.init', which exists in
the current version of slib (2d5, released 2002-11-28 :-), seems to be missing.
Should I file that as a separate bug?

Also there is a long list of other Scheme implementations also supported by
slib and although they are not supplied by Red Hat somebody working with
one of these likely would not mind to have libraries handy.

Last, but not least, not forcing a hunt for documentation in some unexpected
places, by having it in "normal" locations and accessible through standard
tools, also would be nice.


Note You need to log in before you can comment on or make changes to this bug.